code stringlengths 2 1.05M | repo_name stringlengths 5 110 | path stringlengths 3 922 | language stringclasses 1
value | license stringclasses 15
values | size int64 2 1.05M |
|---|---|---|---|---|---|
#!/bin/sh
#
# Created by Merlyn From ChengDu
# Email:loolwv7@gmail.com
# 2011.3.30 released
# Modified by 2011.12.03
#
#=================================
Usage(){
echo "Usage: `basename $0` directory"
}
if [ $# -le 0 ]; then
Usage
exit 1
fi
#
# main
#
for upper in `find $1 -depth`;
do ( mv -f $upper `ech... | loolwv7/scripts | upper_to_lower.sh | Shell | gpl-3.0 | 528 |
python /home/lferrer/Downloads/caffe/python/draw_net.py train_test.prototxt network.png
| lferrer/iccv2017 | scripts/visualizations/draw_network.sh | Shell | gpl-3.0 | 88 |
#!/bin/bash
git submodule update --init --recursive || true
mdtool build "$1" > /dev/null
| KommuSoft/bashing | makemono.sh | Shell | gpl-3.0 | 90 |
#!/bin/bash
export CURDIR=`pwd`
export FABMDIR=${CURDIR}/fabm-git
export PLOTDIR=${CURDIR}/libplot
export UTILDIR=${CURDIR}/libutil
export AED2DIR=${CURDIR}/libaed2
cd ${AED2DIR}
make distclean
cd ${UTILDIR}
make distclean
cd ${PLOTDIR}
make distclean
if [ -d ${FABMDIR}/build ] ; then
/bin/rm -rf ${FABMDIR}/buil... | GLEON/GLM-source | clean_glm.sh | Shell | gpl-3.0 | 1,034 |
# compare-estimates.sh
# run compare-estimates.lua with typical parameters + supplied parameters
torch -i compare-estimates.lua -algo knn -base estimates -k 24 -obs 1A -pieces 100 $@
| rlowrance/re | lua/compare-estimates.sh | Shell | gpl-3.0 | 183 |
#!/bin/bash
function sed_sync {
sed -i -e "/\"package-generator\": \".*\",/a \
\"package-sync\": \"${_package_sync_ver}\"," package.json
}
export -f sed_sync
| fusion809/atom-installer | lib/pkg/sync.sh | Shell | gpl-3.0 | 175 |
export GCC_COLORS=auto
| olsonbg/dotfiles | dirs/bash.d/common/gcc.sh | Shell | gpl-3.0 | 23 |
#!/bin/bash
#
# Show various system info depending on a current (system) dir
#
# Copyright (c) 2013-2019 Alex Turbov <i.zaufi@gmail.com>
#
# This file is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either ver... | zaufi/smart-prompt | context-checkers.d/60system-dirs.sh | Shell | gpl-3.0 | 9,383 |
!Acessando o modo exec user
enable
!Acessar modo de configuração global
configure terminal
!Criando a VLAN 99
vlan 99
!Nome da VLAN
name Administrativa
!Saindo das configurações de VLAN
exit
!Acessando a SVI da VLAN 99
interface vlan 99
!Configurando ... | vaamonde/netacad | modulo-02/capitulo-02/02-Switch-svi.sh | Shell | gpl-3.0 | 1,443 |
#!/usr/bin/bash
echo "[*] GET onehelenahotspot.com/login"
curl -s onehelenahotspot.com/login > /tmp/login_page.html
CHALLENGE=`grep hexMD5 /tmp/login_page.html | sed 's/document.sendin.password.value = hexMD5(//' | sed 's/);//' | sed "s/+ document.login.password.value +/+'guest'+/" | tr '\t ' '\0'`
rm /tmp/login_page... | AdrianCohea/MontanaInternetCorporationBypass | montana-internet-bypass.sh | Shell | gpl-3.0 | 697 |
source activate py34
rm -rf build dist
pyinstaller coquery_osx.spec
cp -a dist/Coquery/ dist/Coquery.app/Contents/MacOS/
hdiutil create -srcfolder dist/Coquery.app dist/coquery-0.10.0-macos-sierra
| gkunter/coquery | make/make_osx_dmg.sh | Shell | gpl-3.0 | 197 |
#!/bin/sh
admsXml -e ../../xyceVersion.xml -e ../../xyceBasicTemplates.xml -e ../../xyceImplementationFile.xml psp103.va
admsXml -e ../../xyceVersion.xml -e ../../xyceBasicTemplates.xml -e ../../xyceHeaderFile.xml psp103.va
emacs N_DEV_ADMSPSP103VA.C --batch --eval="(require 'cc-mode)" --eval="(c-set-offset 'substatem... | Xycedev/Xyce | utils/ADMS/examples/psp103/make_PSP_usable.sh | Shell | gpl-3.0 | 997 |
#!/bin/bash
#
# Little helper for the installation of Red Hat JBoss Fuse in a Docker container
#
# echo "Building deployables"
# mvn clean install
echo "Start Fuse and wait for start procedure to end"
$HOME/$FUSE_LOCATION/bin/start
$HOME/$FUSE_LOCATION/bin/status
while [ "$?" != "0" ]
do
echo "."
sleep 10
$... | PatrickSteiner/IoT_Demo_Grafana | LogReceiver/Docker_Files/scripts/install.sh | Shell | gpl-3.0 | 718 |
#!/bin/bash
ocamlfind ocamlopt -c -package cil,cmdliner stubGen.ml
if [ $? -eq 0 ]
then
ocamlfind ocamlopt -o main.exe -linkpkg -package cil,cmdliner stubGen.cmx -g main.ml
else
echo "Failed to build stubGen.ml"
fi
if [ $? -eq 0 ]
then
echo "Successfully build main.exe for stubGen"
ocamlfind ocamlc -o test... | ab-passos/stubGen | build.sh | Shell | gpl-3.0 | 537 |
#!/bin/sh
tar -xf synthmark-20201109.tar.xz
cd synthmark-master
make -f linux/Makefile
echo $? > ~/install-exit-status
cd ~
echo "#!/bin/sh
cd synthmark-master
./synthmark.app \$@ > \$LOG_FILE 2>&1
echo \$? > ~/test-exit-status" > synthmark
chmod +x synthmark
| phoronix-test-suite/phoronix-test-suite | ob-cache/test-profiles/pts/synthmark-1.0.0/install.sh | Shell | gpl-3.0 | 263 |
# 550_check_bareos_restore_jobs.sh
[[ ! -z "$BAREOS_RESTORE_JOB" ]] && return # variable filled in already (via local.conf?)
# echo "show jobs" | bconsole | grep "Name =" | grep restore | grep $HOSTNAME | cut -d= -f2
# "client-restore"
# "client-restore-mysql"
# if we have more then 1 restore job for a client then... | terreActive/rear | usr/share/rear/prep/BAREOS/default/550_check_bareos_restore_jobs.sh | Shell | gpl-3.0 | 1,467 |
#!/usr/bin/gnuplot
#gnuplot gnuplot.sh
set terminal pngcairo
set output 'nodes.png'
set xlabel "scale"
set autoscale
set ylabel "time"
set title ""
set grid
set style data points
set key top left
unset key
set style line 1 lc rgb '#8b1a0e' pt 1 ps 1 lt 1 lw 2
set style line 2 lc rgb '#5e9c36' pt 2 ps 1 lt 1 lw... | h31nr1ch/Sexy-Bitch | plots/gnuplot.sh | Shell | gpl-3.0 | 1,557 |
#!/bin/bash
git submodule init;
git submodule update;
if [[ "${TRAVIS_OS_NAME}" == "linux" ]];
then
IS_SEMAPHORECI=true
if [[ ! -d /home/runner ]];
then
IS_SEMAPHORECI=false
echo -n | openssl s_client -connect scan.coverity.com:443 | sed -ne '/-BEGIN CERTIFICATE-/,/-END CERTIFICATE-/p' | su... | Wohlhabend-Networks/PGE-Project | _common/travis-ci/before-script.sh | Shell | gpl-3.0 | 7,155 |
#/bin/bash
platform=`ssh $FG_OSUSER@$FG_DBIPADDR uname`
if [ "$platform" = "Linux" ];then
ssh $FG_OSUSER@$FG_DBIPADDR "vmstat -n $FG_INTERVAL 100" |awk '{if($1 == $1+0){printf("kthr_r,%s,kthr_b,%s,pi,%s,po,%s,cpu_user,%s,cpu_sys,%s,cpu_wait,%s\n",$1,$2,$7,$8,$13,$14,$16);fflush();}}'
fi
if [ "$platform" = "AIX" ];... | osdba/fgstats | scripts/s1001_1.sh | Shell | gpl-3.0 | 748 |
#!/bin/bash
set -e
ansible-galaxy remove martinmicunda.common \
martinmicunda.nodejs \
martinmicunda.iojs \
martinmicunda.bower \
martinmicunda.gulp \
laggyluke.direnv \
retr0h.nsq \
... | behzad888/employee-scheduling | bin/ansible-uninstall-roles.sh | Shell | gpl-3.0 | 453 |
#!/bin/bash -e
. ../../blfs.comm
build_src() {
srcfil=libvpx-v1.3.0.tar.xz
srcdir=libvpx-v1.3.0
tar -xf $BLFSSRC/$PKGLETTER/$CURDIR/$srcfil
cd $srcdir
sed -i 's/cp -p/cp/' build/make/Makefile
chmod -v 644 vpx/*.h
mkdir ../libvpx-build
cd ../libvpx-build
../libvpx-v1.3.0/configure --prefix=/usr \
--enable-shared \
... | fangxinmiao/projects | Architeture/OS/Linux/Distributions/LFS/build-scripts/blfs-7.6-systemv/l/libvpx-1.3.0/build.sh | Shell | gpl-3.0 | 894 |
#!/usr/bin/env bash
set -ex
# Setup
cd $WORKSPACE/analytics-tools/snowflake
make requirements
python expire_user_passwords.py \
--key_path $KEY_PATH \
--passphrase_path $PASSPHRASE_PATH \
--automation_user $USER \
--account $ACCOUNT \
--user_to_expire $USER_TO_EXPIRE
| edx/jenkins-job-dsl | dataeng/resources/snowflake-expire-individual-password.sh | Shell | agpl-3.0 | 290 |
#!/bin/sh
# Usage: run-client.sh <dest1-ip> <dest2-ip> <port> <base-path> <output-file> <duration>
echo sudo /usr/sbin/tcpdump -n -tt -i vnet dst port $3 | perl $4/glean.pl > /local/logs/$5
sudo /usr/sbin/tcpdump -n -tt -i vnet dst port $3 | perl $4/glean.pl > /local/logs/$5 &
DUMPPID=$!
echo $4/iperf -c $1 -p $3 -t... | nmc-probe/emulab-nome | pelab/bw-bottleneck/run-client.sh | Shell | agpl-3.0 | 526 |
#!/bin/bash
set -e
APP_CELERY_INIT="ureport"
bootstrap_conf(){
find "${PROJECT_PATH}" -not -user "${APP_UID}" -exec chown "${APP_UID}:${APP_GID}" {} \+
}
bootstrap_conf
if [[ "start" == "$1" ]]; then
echo "Collect static files"
python manage.py collectstatic --noinput || echo "Deu erro em: collectstatic"
echo... | Ilhasoft/ureport | docker-entrypoint.sh | Shell | agpl-3.0 | 1,779 |
#!/bin/sh
# This script setups new environment with debootstrap, installs necessary
# packages with APT, downloads source package for hello, and builds the
# binary package.
#
# It should work with any Debian-based system.
srcdir=${srcdir:-.}
abs_srcdir=${abs_srcdir:-`cd "$srcdir" 2>/dev/null && pwd -P`}
top_srcdir=... | dex4er/deb-fakechroot | test/debootstrap.sh | Shell | lgpl-2.1 | 2,717 |
#!/bin/bash -e
if [ -d build ]
then
rm -rf build
fi
mkdir -p build
mvn -N install
projects="Utils NetworkingLib CompilerLib Worker Game-Logic Backend SandboxManager"
for project in $projects
do
cd $project
#mvn clean
mvn package install dependency:copy-dependencies
cp target/*.jar ../build/
cp... | LuckyLukert/Turnierserver | buildNetworkZeugs.sh | Shell | lgpl-3.0 | 773 |
#!/bin/bash
# -*- coding:utf-8; mode:sh; -*-
set -ue
BASE="$(cd $(dirname "$0"); pwd)"
IGNORED_HOSTS_FILE="$BASE/ignored_hosts.txt"
HOSTS_FILE='/etc/hosts'
MESSAGE="added by $BASE/$(basename "$0")"
is_dryrun=true
main(){
if [[ -n "${1-}" && "${1-}" = "-r" ]]
then is_dryrun=false
else
(
... | kui/kui_local | installs/ignored_hosts.sh | Shell | unlicense | 1,506 |
#!/bin/sh
if [[ -z "$BATTLECODE" ]]; then
BATTLECODE=$HOME/battlecode
fi
if [ ! -e $BATTLECODE/MethodCosts.txt ]; then
echo "Error: not a BattleCode directory: $BATTLECODE"
exit
fi
cd $BATTLECODE/repos
find . -type d -depth 1 -exec git --git-dir={}/.git --work-tree=$PWD/{} pull origin master \; | SrsBusiness/Nosotros_BattleCode | scripts/update_git.sh | Shell | unlicense | 308 |
#!/bin/bash
# Assumes setup.sh has been run
sudo mount /dev/mapper/loop0p1 /media/bootfs
MSG="Mounted successfully!"
echo $MSG
| srinivasanv/QEMU-gumstix-scripts | host/mount.sh | Shell | unlicense | 129 |
#script that configure an aireplay deauth attack, it has to be started as root
#aireplay-ng --deauth=0 -a sender_mac_address -c dest_mac_address --ignore-negative
user=`whoami`
if [[ $user != 'root' ]]
then
echo $user is not root, run this script as root user
exit 1
fi
aireplay-ng --deauth=0 -a 2E:A4:3C:7D:9D:EB... | davvore33/bash_script | deauth.sh | Shell | unlicense | 350 |
#!/bin bash
###########################################################################
#
# Copyright 2020 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# https://www... | google/starthinker | install/composer.sh | Shell | apache-2.0 | 8,424 |
#!/bin/bash
set -eu
cf auth "${ADMIN_USER}" "${ADMIN_PASSWORD}"
cf target -o "${ORG}"
for COUNT in {1..30}; do
USER=zerotohero${COUNT}
cf create-space ${USER}
cf set-space-role ${USER}@"${USER_EMAIL_DOMAIN}" "${ORG}" $USER SpaceDeveloper
done | anynines/summit-training-classes | basics/scripts/create-user-spaces.sh | Shell | apache-2.0 | 252 |
#!/bin/bash
nginx -s stop
read -p "Where is car running? local/usb/wifi [local]" luw
luw=${luw:-local}
if [ "$luw" == "local" ]; then
nginx -c /usr/local/etc/nginx/nginx_car_local.conf
sed -i -e 's/192\.168\.88\.38 carmageddon\.dev/127\.0\.0\.1\tcarmageddon.dev/g' /etc/hosts
fi
if [ "$luw" == "usb" ]; then... | sijpesteijn/carmageddon | setup.sh | Shell | apache-2.0 | 720 |
sudo apt-get install gimp-ufraw gnome-raw-thumbnailer
| carwinz/lazycarwin | raw_image_support/install.sh | Shell | apache-2.0 | 54 |
#!/usr/bin/env bash
rm -rf ./build ./dist
python setup.py sdist bdist_wheel --universal
echo "--- uploading to PyPI with either your username or username=__token__ and an API token recorded."
twine upload dist/pykechain-*
| KE-works/pykechain | build_wheel.sh | Shell | apache-2.0 | 222 |
#!/bin/bash
source ./ci/functions.sh
runBuild=false
echo "Reviewing changes that might affect the Gradle build..."
currentChangeSetAffectsTests
retval=$?
if [ "$retval" == 0 ]
then
echo "Found changes that require the build to run test cases."
runBuild=true
else
echo "Changes do NOT affect project test cas... | philliprower/cas | ci/tests/mysql/run-tests-mysql.sh | Shell | apache-2.0 | 2,466 |
# Publish data as an object without timestamp (server-side timestamp will be used)
cat telemetry-data-as-object.json | coap post coap://localhost/api/v1/$ACCESS_TOKEN/telemetry
# Publish data as an array of objects without timestamp (server-side timestamp will be used)
cat telemetry-data-as-array.json | coap post coap:... | haibaoyf/haibaoyf.github.io | docs/reference/resources/coap-telemetry.sh | Shell | apache-2.0 | 534 |
#!/bin/bash -e
log () {
ctx logger info "[ellis] $(echo $@ |cut -d\- -f1)"
output=$((time $@) 2>&1)
ctx logger info "[ellis] => ${output}"
}
ctx logger info "[ellis] ${COMMAND}"
release=$(ctx node properties release)
ctx logger info "[ellis] ${release}"
ctx logger info "[ellis] Configure the APT softwar... | Orange-OpenSource/opnfv-cloudify-clearwater | scripts/clearwater/ellis/install-ellis.sh | Shell | apache-2.0 | 1,482 |
#!/bin/sh
# This script is copied from neutron and adapted for octavia.
set -eu
usage () {
echo "Usage: $0 [OPTION]..."
echo "Run octavia's coding check(s)"
echo ""
echo " -Y, --pylint [<basecommit>] Run pylint check on the entire octavia module or just files changed in basecommit (e.g. HEAD~1)"
e... | openstack/octavia | tools/coding-checks.sh | Shell | apache-2.0 | 1,568 |
#!/bin/bash
OK=0 # process successful exit status
NOTOK=1 # process failure exit status
timestamp=`date +%Y-%m-%d-%H-%M`
logdir=/var/tmp/fs-drift-regtest-$timestamp
lognum=1
logf='not-here'
# if you want to use python v2,
# export PYTHON_PROG=/usr/bin/python
PY=${PYTHON_PROG:-/usr/bin/python3}
sudo systemctl start ss... | bengland2/fsstress | regtest.sh | Shell | apache-2.0 | 1,438 |
#!/bin/bash
docker build --rm=true -t trifacta/ubuntu-plus-java .
| trifacta/floating-elephants | ubuntu-plus-java/build.sh | Shell | apache-2.0 | 67 |
# -*- bash -*-
# Use this when virtualenvwrapper is in the path
# I'll always use ~/venv as my virtualenv home
if [ $(which virtualenvwrapper.sh 2>/dev/null | wc -l) -eq 1 ] ; then
export WORKON_HOME=~/venv
if [ ! -d $WORKON_HOME ] ; then
mkdir -p $WORKON_HOME
fi
WRAPPER=$(which virtualenvw... | pcn/startup | mac/.bash.d/venv.sh | Shell | apache-2.0 | 467 |
#! /bin/bash
. ./config.sh
C1=10.2.3.78
C2=10.2.3.34
C2a=10.2.3.35
C2b=10.2.3.36
UNIVERSE=10.2.4.0/24
NAME2=seetwo.weave.local
NAME4=seefour.weave.local
start_suite "Resolve names across hosts"
for host in $HOSTS; do
weave_on $host launch --ipalloc-range $UNIVERSE $HOSTS
done
# Basic test
start_container ... | paladin74/weave | test/210_dns_cross_hosts_3_test.sh | Shell | apache-2.0 | 2,169 |
#!/bin/bash
DEBTEST=`lsb_release -a 2> /dev/null | grep Distributor | awk '{print $3}'`
if [[ "$DEBTEST" == "Ubuntu" ]]; then
TYPE="debs"
PYTHONPACK="/usr/lib/python2.7/dist-packages"
elif [[ -f "/etc/redhat-release" ]]; then
TYPE="rpms"
PYTHONPACK="/usr/lib/python2.7/site-packages"
else
echo "Unknown Opera... | StackStorm/st2cd | actions/install_tests.sh | Shell | apache-2.0 | 448 |
#!/usr/bin/env bash
# Ensure script directory is CWD
pushd "${0%/*}"
# Inject the manifest for each example into SEED_MANIFEST placeholder
for DIRECTORY in $(ls -F | grep /)
do
SEED_MANIFEST=$(jq -rc . < ${DIRECTORY}/seed.manifest.json | sed 's^\"^\\\\\"^g' | sed 's^\$^\\\\\$^g' | sed 's^/^\\\\/^g')
sed -i.ba... | ngageoint/seed | spec/examples/inject-manifests.sh | Shell | apache-2.0 | 405 |
# Copyright 2014 Google Inc. All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or a... | web-animations/web-animations-js | .travis-setup.sh | Shell | apache-2.0 | 3,345 |
# export TASTEBIN_URL=
tastebin_list() {
local URL=${TASTEBIN_URL}/tastes/
http --check-status --pretty=all GET ${URL} | sed "s|\([^ ]\+\) \([^ ]\+\) |\1 \2 ${URL}|"
}
tastebin_get() {
local URL=${TASTEBIN_URL}/tastes/${1}
http --check-status --pretty=all GET ${URL}
}
tastebin_save() {
local URL=... | andreineculau/tastebin | tastebin.httpie.sh | Shell | apache-2.0 | 590 |
#!/usr/bin/env bash
# A script to kill a node in the cluster.
killclusternode() {
# Kill spark if it is running already
sparkProcess=$(ps aux | grep "org\.apache\.spark" | awk '{print $2}' | head -n1)
if [[ $sparkProcess -ne "" ]]; then
echo "Spark already running. Killing Spark..."
sudo kill $sparkProcess
fi... | daishichao/coral | cluster/scripts/killclusternode.sh | Shell | apache-2.0 | 947 |
#!/bin/bash
source "$(dirname $0)/auto-gen-helpers.sh"
set -e
if [ $# -ne 2 ] || [ -z "$1" ] || [ -z "$2" ]; then
echo "usage: auto-gen.sh output_directory file_generation_rules_directory"
exit 1
fi
if [[ "$2" = *"generated/mocks"* ]]; then
remove_matching_files $1 "*_mock.go"
elif [[ "$2" = *"generated/g... | m3db/m3db | scripts/auto-gen.sh | Shell | apache-2.0 | 609 |
curl -XPOST 'http://127.0.0.1:9200/_search/template/byage?pretty' -d '{ "template": {"query": { "bool": { "must": [{ "nested": { "path": "comments", "query": { "bool": {"must": [{ "match": { "comments.age": "{{age}}" }}]}}}}]}}}}' | AlexBischof/vertx-elasticsearch-quickstart | elasticsearch/templates/registertemplatebyage.sh | Shell | apache-2.0 | 234 |
#!/bin/sh
rm -rf DataBroker Simple_DataBroker_PlugIn
| RISBIC/DataBroker_Dockerfiles | databroker_webportal/cleanup.sh | Shell | apache-2.0 | 54 |
#!/bin/sh
nohup ./stop.sh ma_test >/dev/null 2>&1 & | xxxllluuu/uavstack | com.creditease.uav.agent.buildComponent/bin/stop_ma_test.sh | Shell | apache-2.0 | 52 |
#!/usr/bin/env bash
# Copyright 2017 Google Inc. All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by... | tensorflow/tfjs-node | tfjs-node/scripts/publish-npm.sh | Shell | apache-2.0 | 2,323 |
###http://www.nickpolet.com/blog/deploying-django-on-aws/1/
#####how to run EC2 instance of your site:
chmod 400 ~/Desktop/key_pair_CA_2.pem
ssh -i ~/Desktop/key_pair_CA_2.pem ubuntu@54.153.25.128
########
sudo apt-get update
sudo apt-get install apache2 libapache2-mod-wsgi
sudo apt-get install python-pip
sudo pip inst... | nathanielbecker/business-contacter-django-app | myproject/cookie_app/start_EC2_instance.sh | Shell | apache-2.0 | 1,832 |
#!/usr/bin/env bash
set -o nounset
set -o errexit
set -o pipefail
create_src() {
mkdir -p ${KUBEFLOW_SRC}
cd ${KUBEFLOW_SRC}
curl https://raw.githubusercontent.com/kubeflow/kubeflow/${KUBEFLOW_TAG}/scripts/download.sh | bash
}
launch_kubeflow() {
KUBEFLOW_REPO=${KUBEFLOW_SRC} ${KUBEFLOW_SRC}/sc... | kubeflow/example-seldon | scripts/create_demo.sh | Shell | apache-2.0 | 2,651 |
#!/usr/bin/env bash
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements. See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership. The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "Lice... | wooga/airflow | scripts/ci/in_container/entrypoint_ci.sh | Shell | apache-2.0 | 7,093 |
#!/bin/sh
set -e
[ "$DOT_DEBUG" == 'true' ] && set -x
confirm_binaries ()
{
for x in "$@"; do
if $(which "${x}" 1>&1 >/dev/null); then
echo "...confirming: $x"
else
echo "Missing binary: $x. Exiting."
exit 0
fi
done
}
case "$(uname -s)" in
Darwin)
export DOT_OS='darwin'
;;
Linux)
export... | jangroth/dotfiles | scripts/config.sh | Shell | apache-2.0 | 567 |
#!/bin/bash
if [[ $USER = "root" ]]; then
echo "You're running this script as root. Bad things will happen."
echo "I'll su to sansforensics and run again now."
su - sansforensics -c "forensicator-fate/scripts/ffate-bundle-installer.sh"
elif [[ $USER = "sansforensics" ]]; then
echo "The SANS Gold Paper says... | z3ndrag0n/forensicator-fate | scripts/ffate-bundle-installer.sh | Shell | apache-2.0 | 1,091 |
sudo update-rc.d torture defaults
sudo update-rc.d torture enable
| JohnOmernik/pimeup | torture/startup.sh | Shell | apache-2.0 | 66 |
#!/bin/bash
# Builds protobuf 3 for Android. Pass in the location of your NDK as the first
# argument to the script, for example:
# tensorflow/contrib/makefile/compile_android_protobuf.sh \
# ${HOME}/toolchains/clang-21-stl-gnu
if [[ $# -ne 1 ]]
then
echo "You need to pass in the Android NDK as the first argument, e... | EvenStrangest/tensorflow | tensorflow/contrib/makefile/compile_android_protobuf.sh | Shell | apache-2.0 | 1,397 |
#/usr/bin/env bash
set -ex
rm -f *.svg
for i in *.dot; do
plantuml -Tsvg "$i";
done
| google/or-tools | makefiles/doc/generate_image.sh | Shell | apache-2.0 | 87 |
#!/bin/bash
set -e
set -u
set -o pipefail
__dir="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
__proj_dir="$(dirname "$__dir")"
. "${__dir}/common.sh"
. "${__dir}/deps.sh"
_go_get github.com/smartystreets/goconvey/convey
_go_get github.com/smartystreets/assertions
export TEST_TYPE="${TEST_TYPE:-"medium"}"
export ... | intelsdi-x/snap-plugin-publisher-graphite | scripts/medium_tests.sh | Shell | apache-2.0 | 358 |
#!/bin/bash
#
# Copyright 2017 The Bazel Authors. All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by... | aehlig/bazel | src/test/shell/integration/execution_phase_tests.sh | Shell | apache-2.0 | 13,395 |
#! /bin/bash
controller="10.128.4.12 10.128.4.13 10.128.4.14 10.128.4.15 10.128.4.16"
switches=`ifconfig -a | grep "^s" |grep -v eth | awk '{print $1}'`
function host2ip (){
ip=`grep $1 /etc/hosts |grep -v "ip6"| awk '{print $1}'`
echo $ip
}
url=""
for c in $controller; do
url="$url tcp:$c:6633"
done
echo $u... | opennetworkinglab/spring-open | old-scripts/testbed-ctrl-add-ext.sh | Shell | apache-2.0 | 434 |
#!/bin/bash
exists_net=$(docker network ls | grep -w docnet )
if [ -n "$exists_net" ]
then
docker network rm docnet
fi
docker network create docnet
docker network ls
(set -x
docker run --name mybox --net docnet \
-e MYSQL_ROOT_PASSWORD=secret -d \
-v $HOME/data:/data \
mysql/mysql-server --plugin-loa... | datacharmer/mysql-replication-samples | docker-replication/doc_store.sh | Shell | apache-2.0 | 559 |
#!/bin/bash -e
# \author Hans J. Johnson
#
# This script assists with using clang-tidy.
#
# STEP 0;
# I recommend downloading or building the latest
# version of llvm with clang and the clang-tidy
# tools in a private repo. NOTE: Apple does
# not currently distribute these.
#
# STEP 1:
# Build your source tree with cm... | stnava/ITK | Utilities/ITKv5Preparation/modernize-use-nullptr.sh | Shell | apache-2.0 | 1,480 |
#!/usr/bin/env bash
#
# Copyright 2019 Google Inc. All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required ... | google/schedviz | util/gcloud_trace.sh | Shell | apache-2.0 | 3,010 |
#! /usr/bin/env bash
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements. See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "Licen... | glahiru/airavata | modules/orchestrator/orchestrator-thrift-descriptions/generate-orchestrator-stubs.sh | Shell | apache-2.0 | 6,129 |
#!/bin/bash
for RAW_TXT in $(ls MODtree*.raw.txt)
do
SPECIES=${RAW_TXT/.raw.txt/}".species_freq.txt"
FAMILY=${RAW_TXT/.raw.txt/}".family_freq.txt"
if [ ! -e $SPECIES ]; then
awk '{print $4}' $RAW_TXT | sort | uniq -c | sort -nr > $SPECIES
fi
if [ ! -e $FAMILY ]; then
awk '{print $2}' $RAW_TXT | sort... | taejoonlab/NuevoTx | MODtree/stat-MODtres_raw_txt.sh | Shell | apache-2.0 | 362 |
#!/bin/bash
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distribute... | teamclairvoyant/hadoop-deployment-bash | disable_ipv6.sh | Shell | apache-2.0 | 8,908 |
#!/usr/bin/env bash
# Copyright 2021 The TestGrid Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable... | GoogleCloudPlatform/testgrid | cluster/prod/knative/setup-pubsub.sh | Shell | apache-2.0 | 2,021 |
#
# Kubler phase 1 config, pick installed packages and/or customize the build
#
_packages="mail-mta/opensmtpd"
#
# This hook is called just before starting the build of the root fs
#
configure_rootfs_build()
{
:
}
#
# This hook is called just before packaging the root fs tar ball, ideal for any post-install tasks... | berney/gentoo-bb | dock/kubler/images/opensmtpd/build.sh | Shell | bsd-2-clause | 494 |
heap=4000000
prefix=$1
shift
for style in $*
do
echo benchmarking $style
out=bench/bench$prefix-$style.log
echo "scheme48 -h $heap" > $out
cat bench/bench-$style.script bench/bench-pgg.script | scheme48 -h $heap >> $out
done
| mikesperber/pgg | bench/bench-all.sh | Shell | bsd-2-clause | 228 |
#!/bin/sh
set -e
SCRIPT=$(readlink -f "$0")
SCRIPTDIR=$(dirname "$SCRIPT")
. $SCRIPTDIR/config.sh
mkdir -p "$SYSROOT"
for PROJECT in $PROJECTS; do
(cd $PROJECT && DESTDIR="$SYSROOT" $MAKE install)
done
| solano/Caspian2 | config/build.sh | Shell | bsd-2-clause | 209 |
#!/bin/bash
find . \( -name '*.cpp' -o -name '*.h' \) ! -path './external/*' ! -path './build/*' ! -path './cmake-*' ! -path './contrib*' ! -name 'resource.h' | xargs clang-format -i
| pierricgimmig/orbitprofiler | run_clang_format.sh | Shell | bsd-2-clause | 183 |
#
#
#
export MULLE_FETCH_SEARCH_PATH="${MULLE_VIRTUAL_ROOT}/../.."
| mulle-nat/mulle-concurrent | test/.mulle/etc/env/environment-global.sh | Shell | bsd-3-clause | 69 |
set -e
sbt laws/package laws/run
sbt -J-Xmx6G -J-XX:MaxMetaspaceSize=4G -J-XX:-OmitStackTraceInFastThrow tests/test
echo 'All laws succeeded to the expected extent.'
| scala/scala-collections-laws | run.sh | Shell | bsd-3-clause | 166 |
#!/bin/sh
java -jar /srv/fedora-working/saxon/saxon9he.jar \
-s:/srv/fedora-working/jhove/output/na_VIC.xml \
-xsl:/srv/fedora-working/xslt/ingest/JhovePreProc.xsl \
-o:/srv/fedora-working/ingest/VIC/component/components.xml \
collectioncode=VIC
| duke-libraries/batch-ingest | VIC/210componentjhovepreproc.sh | Shell | bsd-3-clause | 258 |
gcc -c -Wall -Wno-discarded-qualifiers -Wno-unused-function -Wno-unknown-pragmas -fno-builtin -Wno-char-subscripts -fno-stack-protector -m32 program.c
ld -T ../../lib/linker.ld -o ../../bin/ps -m elf_i386 ../../lib/libduck.o ../../lib/string.o program.o
| TwoUnderscorez/DuckOS | filesystem/src/ps/make.sh | Shell | bsd-3-clause | 254 |
#!/bin/tcsh
echo "git pull git@github.com:andrew0snake/2.git"
`cat git_link |awk '{if (NR==2) print}'`
| andrew0snake/2 | git_pull.sh | Shell | bsd-3-clause | 104 |
#!/bin/bash
# This is a shell script to clean a recursive/online vxord project.
#
# S. Martin
# 5/9/06
# input to this program is the project name directory
PROJECT=$1
# input to this program is
if [ "$PROJECT" == "" ]
then
echo "This program cleans a recursive/online vxord project."
echo "The format of the com... | DalaranX/OpenOrd | examples/clean_project.sh | Shell | bsd-3-clause | 637 |
#!/bin/sh
#
# testutils.tests.sh
# * test script for testutils module.
#
# How to Use:
# test_runner testutils.tests.sh
#
# * created: 2014-11-11 Kevin Chan <kefin@makedostudio.com>
# * updated: 2014-11-12 kchan
########################################################################
# configurations
# set vars and ... | kefin/shell-script-utils | tests/testutils.tests.sh | Shell | bsd-3-clause | 3,913 |
#!/bin/bash -e
# Begin service ENV variables
if [ -z "$SHIPPABLE_COUCHDB_PORT" ]; then
export SHIPPABLE_COUCHDB_PORT=5984;
fi
if [ -z "$SHIPPABLE_COUCHDB_BINARY" ]; then
export SHIPPABLE_COUCHDB_BINARY="/opt/couchdb/bin/couchdb";
fi
if [ -z "$SHIPPABLE_COUCHDB_CMD" ]; then
export SHIPPABLE_COUCHDB_CMD="service ... | dry-dock/u14all | services/couchdb_env.sh | Shell | mit | 456 |
#!/bin/sh -x
xctool -project runtime/protobuf-ios/protobuf-ios.xcodeproj -scheme protobuf-ios build
#xctool -project runtime/protobuf-ios/protobuf-ios.xcodeproj -scheme protobuf-iosTests build test -sdk iphonesimulator
| mingchen/protobuf-ios | build.sh | Shell | mit | 223 |
#!/usr/bin/env bash
sudo-g5k -- apt-get -y install xvfb
echo 'Worker Setup Completed'
| elavoie/pando-handbook | saso-2019/setup-grid5k.sh | Shell | mit | 86 |
#!/usr/bin/env zsh
setopt prompt_bang
setopt prompt_cr
setopt prompt_sp
setopt prompt_percent
setopt prompt_subst
setopt transient_rprompt
| zellio/zsh-config | config/zsh/prompting.zsh | Shell | mit | 140 |
#!/bin/bash
PROCESS_RUN=test
GS_BASE=gs://pelagos-data-pipeline/process-runs/$PROCESS_RUN
RAW=gs://pelagos-data-pipeline/raw/test-2013-60k-raw-1.3.csv.gz
PROCESSED=$GS_BASE/processed.csv.gz
REGIONS=gs://pelagos-data-pipeline/regions/experimental/regions.sqlite
REGIONATED=$GS_BASE/regionated.json.gz
BQTABLE=ProcessRun.... | SkyTruth/pelagos-data | gce/process_run.sh | Shell | mit | 974 |
echo ">>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>" >> var/log/supervisord.log
echo ">>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>" >> var/log/rabbit.log
echo ">>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>... | rebearteta/social-ideation | init_things.sh | Shell | mit | 1,046 |
#!/bin/bash
# Install Fleet Manager application on Phusion Passenger
# Tested on Debian 8.1
# Create user to run application as
sudo useradd --user-group fm --home-dir /srv/rails/fm --shell /bin/bash --groups sudo
# Create application directory
sudo mkdir -p /srv/rails/fm
sudo chown fm:fm /srv/rails/fm
# Install pr... | benformosa/fml | install/install.sh | Shell | mit | 1,970 |
#! /bin/sh -e
# tup - A file-based build system
#
# Copyright (C) 2011-2017 Mike Shal <marfey@gmail.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as
# published by the Free Software Foundation.
#
# This program is distribu... | fasterthanlime/tup-fuseless | test/t4047-open-fds.sh | Shell | gpl-2.0 | 1,397 |
ruby install.rb config
ruby install.rb setup
ruby install.rb install
| jacques/connector | vendor/gems/extensions-0.6.0/install.sh | Shell | gpl-2.0 | 69 |
#!/usr/bin/env bash
# vim: set et sw=4 sts=4 :
# Copyright (c) 2006, 2008 Ciaran McCreesh
#
# This file is part of the Paludis package manager. Paludis is free software;
# you can redistribute it and/or modify it under the terms of the GNU General
# Public License, version 2, as published by the Free Software Foundati... | pioto/paludis-pioto | hooks/log.bash | Shell | gpl-2.0 | 2,823 |
#!/bin/bash
#setting up the terminal title
WINDOWTITLE="PreTestScript Execution"
echo -e '\033]2;'$WINDOWTITLE'\007'
#results file for the executions
FILELOCATION=$(pwd)
LOGFILENAME="PreTestlog.log"
RESULTSFILENAME="PreTestResults.log"
LOGFILE=$FILELOCATION"/"$LOGFILENAME
RESULTSFILE=$FILELOCATION"/"$RESULTSFILENAM... | craftercms/test-suite | initialSetupCheckForTestScript.sh | Shell | gpl-3.0 | 6,496 |
#!/bin/bash
MAILQ="/var/spool/mail"
ARGS="$@"
# non-root users cannot queue, send immediate
if [ $EUID -ne 0 ]; then
msmtp $ARGS
exit $?
fi
# Set secure permissions on created files
umask 077
if [ ! -d "$MAILQ" ]; then
echo "Mail queue directory \"$MAILQ\" not found" >&2
# EX_OSERR
exit 71
fi
# Create n... | astlinux-project/astlinux | package/msmtp/sendmail.sh | Shell | gpl-3.0 | 1,585 |
#!/bin/bash
# Copyright 2012 Citrix Systems, Inc. Licensed under the
# Apache License, Version 2.0 (the "License"); you may not use this
# file except in compliance with the License. Citrix Systems, Inc.
# reserves all rights not expressly granted by the License.
# You may obtain a copy of the License at http://www.ap... | cinderella/incubator-cloudstack | patches/systemvm/debian/config/root/redundant_router/check_bumpup.sh | Shell | apache-2.0 | 753 |
#!/bin/bash
set -e
dotnet --info
echo "Regenerating projects: if this fails, run generateprojects.sh and commit changes"
bash generateprojects.sh && git diff --exit-code
if [[ -z "$APPVEYOR_PULL_REQUEST_NUMBER" ]]
then
# Not in a pull request.
# Run a full build (no --diff) but without tests, then test with cod... | evildour/google-cloud-dotnet | appveyor.sh | Shell | apache-2.0 | 643 |
#!/bin/bash
set -euxo pipefail
cd tests && make delete-${CI_PLATFORM} -s ; cd -
| kubernetes-incubator/kargo | tests/scripts/testcases_cleanup.sh | Shell | apache-2.0 | 81 |
#! /usr/bin/env bash
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements. See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "Licen... | astralway/uno | bin/impl/util.sh | Shell | apache-2.0 | 5,681 |
#!/bin/sh
#
# $NetBSD: osrelease.sh,v 1.122 2012/02/16 23:56:57 christos Exp $
#
# Copyright (c) 1997 The NetBSD Foundation, Inc.
# All rights reserved.
#
# This code is derived from software contributed to The NetBSD Foundation
# by Luke Mewburn.
#
# Redistribution and use in source and binary forms, with or without
#... | execunix/vinos | sys/conf/osrelease.sh | Shell | apache-2.0 | 2,839 |
#!/bin/bash
# Copyright 2018 The Chromium OS Authors. All rights reserved.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.
# Load common constants and functions.
. "$(dirname "$0")/uefi_common.sh"
usage() {
cat <<EOF
Usage: ${PROG} [options]
Generate key pairs ... | coreboot/vboot | scripts/keygeneration/uefi/create_new_uefi_keys.sh | Shell | bsd-3-clause | 1,894 |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.